Skip to content

resolveItemIdFromExtractedText

WRITE

Resolve extracted document line text to an item id: first through the party's part mapping (customerPartToItem / supplierPart), then by exact readableId/name m….

POST /api/v1/items/resolveItemIdFromExtractedText
curl -X POST '<your-host>/api/v1/items/resolveItemIdFromExtractedText' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "party": "string",
    "candidates": []
  }'
Response
"string"

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "party": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "customer"
              ]
            },
            "id": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "type",
            "id"
          ]
        },
        {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "supplier"
              ]
            },
            "id": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "type",
            "id"
          ]
        }
      ]
    },
    "candidates": {
      "type": "array",
      "items": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ]
      }
    }
  },
  "required": [
    "party",
    "candidates"
  ]
}